## 基础模块
version: v24.09.20
# 如果项目base.isUpdate: true / core.isUpdate: true / htj.isUpdate: true 构建整个项目
# 如果模块为true指定项目打包
registry: 192.168.31.201/develop
base:
  name: "BASE"
  type: "mvn"
  url: "http://114.116.202.8:18808/factory-tobacco/factory-tobacco-basic.git"
#  namespace: qrcode-xxx
  isUpdate: true
  module:
    - name: factory-tobacco-qrcode-auth
      version: v24.09.20
      isUpdate: true
      isEncryption: false
      path: factory-tobacco-qrcode-auth
    - name: factory-tobacco-qrcode-gateway
      version: v24.09.20
      isUpdate: true
      isEncryption: false
      path: factory-tobacco-qrcode-gateway
    - name: factory-tobacco-qrcode-modules-file
      version: v24.09.20
      isUpdate: true
      isEncryption: false
      path: factory-tobacco-qrcode-modules-file
    - name: factory-tobacco-qrcode-modules-gen
      version: v24.09.20
      isUpdate: true
      isEncryption: false
      path: factory-tobacco-qrcode-modules-gen
service:
  name: gateway
  port: 8080
  select: factory-tobacco-qrcode-gateway



PARAMS: "--spring.cloud.nacos.discovery.namespace=qrcode-pcb  --spring.cloud.nacos.config.namespace=qrcode-pcb --spring.cloud.nacos.discovery.server-addr=nacos.dz-middleware.svc.cluster.local   --spring.cloud.nacos.config.server-addr=nacos.dz-middleware.svc.cluster.local"

web:
  name: "WEB"
  type: "node"
  url: "http://114.116.202.8:18808/factory-tobacco/factory-tobacco-qrcode-htj-vue.git"
  isUpdate: true
  version: v24.09.20
  isEncryption: false